summaryrefslogtreecommitdiff
path: root/tests/ln
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ln')
-rwxr-xr-xtests/ln/misc.sh8
-rwxr-xr-xtests/ln/slash-decorated-nonexistent-dest.sh2
2 files changed, 5 insertions, 5 deletions
diff --git a/tests/ln/misc.sh b/tests/ln/misc.sh
index 9b23fdab4..68756309a 100755
--- a/tests/ln/misc.sh
+++ b/tests/ln/misc.sh
@@ -52,20 +52,20 @@ rm -rf $d $f
touch $f || framework_failure_
rm -rf $d || framework_failure_
mkdir $d $d/$f || framework_failure_
-ln $f $d/ 2> /dev/null && fail=1
-ln -s $f $d/ 2> /dev/null && fail=1
+returns_ 1 ln $f $d/ 2> /dev/null || fail=1
+returns_ 1 ln -s $f $d/ 2> /dev/null || fail=1
rm -rf $d $f
# Make sure we get a failure with existing dest without -f option
touch $t || framework_failure_
# FIXME: don't ignore the error message but rather test
# it to make sure it's the right one.
-ln -s $t $t 2> /dev/null && fail=1
+returns_ 1 ln -s $t $t 2> /dev/null || fail=1
rm $t
# Make sure -sf fails when src and dest are the same
touch $t || framework_failure_
-ln -sf $t $t 2> /dev/null && fail=1
+returns_ 1 ln -sf $t $t 2> /dev/null || fail=1
rm $t
# Create a symlink with source file and no explicit directory
diff --git a/tests/ln/slash-decorated-nonexistent-dest.sh b/tests/ln/slash-decorated-nonexistent-dest.sh
index dc5b18994..7a0696f2f 100755
--- a/tests/ln/slash-decorated-nonexistent-dest.sh
+++ b/tests/ln/slash-decorated-nonexistent-dest.sh
@@ -23,7 +23,7 @@ touch f || framework_failure_
# Before coreutils-7.6, this would succeed on Solaris 10
-ln -T f no-such-file/ && fail=1
+returns_ 1 ln -T f no-such-file/ || fail=1
test -e no-such-file && fail=1
Exit $fail